Subject: [bug#67040] [PATCH] gnu: Add krename.

From: Bruno Victal <[email-masked]>
Date: Sat, 18 Nov 2023 17:16:26 +0000

Hi Sughosha,

On 2023-11-10 11:38, Sughosha wrote:
> +easily rename hundreds or even more files in one go.  The filenames can be
> +created by parts of the original filename, numbering the files or accessing
> +hundreds of information about the file, like creation date or Exif information
> +of an image.

I'd reword this to: “The filenames can be constructed using parts of the original
filename or information from the file metadata such as the creation date or Exif
information of an image.

> +Its features include:
> +
> +@itemize
> (…)
> +@item rename Mp3/Ogg Vorbis files based on their ID3 tags,

How about: “rename audio files (e.g. mp3, ogg) files based on their
metadata.”
Ogg files typically use “Vorbis comment” [1] for metadata, while
.mp3 files use IDv3 tags.

> +@item and many more...

I'd remove this from the @itemize list since it doesn't convey
anything worth noting.

[1]: <https://en.wikipedia.org/wiki/Vorbis_comment>

-- 
Furthermore, I consider that nonfree software must be eradicated.

Cheers,
Bruno.